terms: Get terms from an ontology

API: ac.uk:embl-ebi-ontology-lookup-service-ols-api
Endpoint: /ontologies/{ontologyId}/terms
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 1094ms

Description

Returns a paginated list of terms (classes) from a specific ontology.

Parameters (3)

ontologyId (string, path, required)

The ontology ID

page (integer, query, optional, default: 0)

Page number (0-indexed)

size (integer, query, optional, default: 20)

Page size (number of results per page)

Examples (1)

List Terms in Ontology openapi-spec
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/go/terms'
import requests

resp = requests.get("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms")
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontologyId}/terms")

for item in result:
    print(item)
const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:50:34.304450 200 1094ms 2.0MB
2026-04-15 03:40:20.706417 200 667ms 2.0MB
2026-04-14 03:07:42.157051 200 580ms 2.0MB
2026-04-12 15:45:22.151745 200 1020ms 2.0MB
2026-04-10 00:44:41.397064 200 817ms 2.0MB
2026-04-09 00:13:54.963567 200 1253ms 2.0MB
2026-04-08 00:27:03.430169 200 690ms 2.0MB
2026-04-07 00:58:02.328713 200 538ms 2.0MB
2026-04-06 06:28:07.876870 200 682ms 2.0MB
2026-04-05 14:35:34.694557 200 857ms 2.0MB
2026-03-23 09:09:51.368864 200 1008ms 2.0MB